<template>
  <div class="py-4 px-2 info-item">
    <h4 class="mb-4">{{ $t("account_information") }}</h4>
    <div class="flex flex-col gap-2 info-item-content">
      <div class="flex justify-between">
        <div class="whitespace-normal">{{ $t("last_login") }}</div>
        <div class="break-words">{{ profile.LastLoginOn }}</div>
      </div>
      <div class="flex justify-between">
        <div class="whitespace-normal">{{ $t("last_transaction") }}</div>
        <div class="break-words">{{ profile.LastTransactionOn }}</div>
      </div>
      <div class="flex justify-between">
        <div class="whitespace-normal">{{ $t("password_expiry_on") }}</div>
        <div class="break-words">{{ profile.PasswordExpiryOn }}</div>
      </div>
    </div>
  </div>

  <div class="py-4 px-2 info-item !border-b-0">
    <h4 class="mb-4">{{ $t("profile") }}</h4>
    <div class="flex flex-col gap-2 info-item-content">
      <div class="flex justify-between">
        <div class="whitespace-normal">{{ $t("account") }}</div>
        <div class="break-words">{{ profile.Username }}</div>
      </div>
      <div class="flex justify-between">
        <div class="whitespace-normal">{{ $t("country") }}</div>
        <div class="break-words">{{ profile.Country }}</div>
      </div>
      <div class="flex justify-between">
        <div class="whitespace-normal">{{ $t("currency") }}</div>
        <div class="break-words">{{ profile.Currency }}</div>
      </div>
      <div class="flex justify-between">
        <div class="whitespace-normal">{{ $t("mobile") }}</div>
        <div class="break-words">{{ profile.Mobile }}</div>
      </div>

      <div
        v-for="(property, index) in profileDetail"
        :key="index"
        class="flex justify-between"
      >
        <div class="whitespace-normal">{{ $t(property.PropertyName) }}</div>
        <div class="break-words">{{ property.PropertyValue }}</div>
      </div>

      <template v-if="isCashPlayer">
        <div class="flex justify-between">
          <div class="whitespace-normal">{{ $t("player_transfer_bank") }}</div>
          <div class="break-words">{{ profile.Bank }}</div>
        </div>
        <div class="flex justify-between">
          <div class="whitespace-normal">{{ $t("player_payment_bank") }}</div>
          <div class="break-words">{{ profile.PaymentBank }}</div>
        </div>
      </template>
    </div>
    <ul v-if="!timeZoneIsHidden" class="mt-2">
      <lazy-theme-common-mobile-account-preference />
    </ul>
  </div>
</template>

<script setup lang="ts">
const { profile, profileDetail, timeZoneIsHidden, isCashPlayer } =
  useAccountInformation();
</script>
